Bluetooth usb dongle not work

Forum Forums General Hardware Bluetooth usb dongle not work

  • This topic has 6 replies, 4 voices, and was last updated Jul 17-1:29 am by neurobiol.
Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • #111319
    Member
    neurobiol

      Hello antiX community.

      I am fascinated with the robust, lightness and speed of this GNU/Linux distro.
      I started to use this OS from version 11. Currently, I am using antiX-22_x64 snapshot from live-USB on an ASUS VivoBook Laptop, with some applications added and some changes settings that do more versatile for me.

      This computer doesn’t have internal bluetooth integrated and a bluetooth USB dongle is used. From MS Windows 11 (installed on internal SSD) this device work correctly but when launch bluetooth manager from preferences menu, isn’t bluetooth applet displayed on systray. In other words, nothing happens seemingly.

      I searched on Debian wiki, antiX, MX and Arc Linux forums but without finding solution.

      I post here information of interest.

      The device is recognized:

      fdmogollon@antix1:~
      $ lsusb | grep '[B|b]luetooth'
      Bus 001 Device 006: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
      
      fdmogollon@antix1:~
      $ inxi -E
      Bluetooth:
        Device-1: Cambridge Silicon Radio Bluetooth Dongle (HCI mode) type: USB
          driver: btusb
        Report: hciconfig ID: hci1 state: up address: 00:15:83:0C:BF:EB bt-v: 1.2
        Device-2: IMC Networks type: USB driver: btusb
        Report: ID: hci0 state: up address: 14:13:33:1E:CB:22 bt-v: 2.1
      

      The bluetooth service is running:

      fdmogollon@antix1:~
      $ sudo service bluetooth status
      bluetooth is running.
      

      The bluetooth kernel modules are presents:

      fdmogollon@antix1:~
      $ lsmod | grep bluetooth
      bluetooth             671744  42 btrtl,btintel,btbcm,bnep,btusb,rfcomm
      ecdh_generic           16384  2 bluetooth
      rfkill                 28672  7 asus_wmi,bluetooth,cfg80211
      

      The bluetooth device is enabled:

      fdmogollon@antix1:~
      $ rfkill list
      0: asus-wlan: Wireless LAN
      	Soft blocked: no
      	Hard blocked: no
      1: asus-bluetooth: Bluetooth
      	Soft blocked: no
      	Hard blocked: no
      2: phy0: Wireless LAN
      	Soft blocked: no
      	Hard blocked: no
      3: hci0: Bluetooth
      	Soft blocked: no
      	Hard blocked: no
      4: hci1: Bluetooth
      	Soft blocked: no
      	Hard blocked: no
      

      The bluetooth connections are configured:

      fdmogollon@antix1:~
      $ hcitool dev
      Devices:
      	hci1	00:15:83:0C:BF:EB
      	hci0	14:13:33:1E:CB:22
      

      My bluetooth signal from Alcatel cellphone is detected:

      fdmogollon@antix1:~
      $ bluetoothctl
      Agent registered
      [CHG] Controller 14:13:33:1E:CB:22 Pairable: yes
      [CHG] Controller 00:15:83:0C:BF:EB Pairable: yes
      [bluetooth]# power on
      Changing power on succeeded
      [bluetooth]# agent on
      Agent is already registered
      [bluetooth]# default-agent
      Default agent request successful
      [bluetooth]# scan on
      Discovery started
      [CHG] Controller 00:15:83:0C:BF:EB Discovering: yes
      [NEW] Device 64:09:AC:20:C9:A6 Alcatelfdm
      

      The bluetooth connection from connman is enabled:

      fdmogollon@antix1:~
      $ sudo cat /var/lib/connman/settings
      [global]
      OfflineMode=false
      TimeUpdates=manual
      TimezoneUpdates=auto
      [Wired]
      Enable=true
      Tethering=false
      [WiFi]
      Enable=true
      Tethering=false
      Tethering.Freq=2412
      [Bluetooth]
      Enable=true
      Tethering=true
      Tethering.Freq=2412
      [P2P]
      Enable=false
      Tethering=false
      Tethering.Freq=2412
      

      The packages installed bluetooth’s related are:

      fdmogollon@antix1:~
      $ sudo apt list --installed | grep blue
      WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
      blueman/bullseye,now 2.1.4-1.0antix2 amd64 [installed]
      bluetooth/bullseye,bullseye,now 5.55-3.1.0antix3 all [installed]
      bluez-alsa-utils/bullseye,now 3.1.0-1.0antix1 amd64 [installed]
      bluez-cups/bullseye,now 5.55-3.1.0antix3 amd64 [installed]
      bluez-firmware/oldstable,oldstable,now 1.2-4 all [installed]
      bluez-meshd/bullseye,now 5.55-3.1.0antix3 amd64 [installed]
      bluez-obexd/bullseye,now 5.55-3.1.0antix3 amd64 [installed,automatic]
      bluez-test-scripts/bullseye,bullseye,now 5.55-3.1.0antix3 all [installed]
      bluez-test-tools/bullseye,now 5.55-3.1.0antix3 amd64 [installed]
      bluez-tools/oldstable,now 2.0~20170911.0.7cb788c-4 amd64 [installed]
      bluez/bullseye,now 5.55-3.1.0antix3 amd64 [installed]
      gnome-bluetooth/oldstable,now 3.34.3-2 amd64 [installed]
      libasound2-plugin-bluez/bullseye,now 3.1.0-1.0antix1 amd64 [installed,automatic]
      libbluetooth3/bullseye,now 5.55-3.1.0antix3 amd64 [installed,automatic]
      libgnome-bluetooth13/oldstable,now 3.34.3-2 amd64 [installed,automatic]
      pulseaudio-module-bluetooth/bullseye,now 14.2-2.0nosystemd1 amd64 [installed]
      python3-bluez/oldstable,now 0.23-3 amd64 [installed]
      

      In the startup file are declared orders for to launch blueman applet and pulseaudio daemon from boot:

      fdmogollon@antix1:~
      $ cat $HOME/.desktop-session/startup | grep blue
      ### Uncoment if using blueman-manager
      blueman-applet &
      
      fdmogollon@antix1:~
      $ cat $HOME/.desktop-session/startup | grep pulse
      pulseaudio -D &
      

      But aren’t executed:

      fdmogollon@antix1:~
      $ pgrep blueman-manager
      
      fdmogollon@antix1:~
      $ pgrep blueman-applet
      

      This message is obtained when attempt launch bluetooth applet from terminal emulator:

      fdmogollon@antix1:~
      $ blueman-applet version 2.1.4 starting
      blueman-applet 22.45.42 WARNING  PluginManager:148 __load_plugin: Not loading DhcpClient because its conflict has higher priority
      blueman-tray version 2.1.4 starting
      blueman-tray version 2.1.4 starting
      There is an instance already running
      blueman-applet 22.45.46 ERROR    BasePlugin:76 _load     : Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 36, in __init__
          self.init()
      gi.repository.GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1 (25)
      During handling of the above exception, another exception occurred:
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/blueman/plugins/BasePlugin.py", line 70, in _load
          self.on_load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/applet/Networking.py", line 24, in on_load
          self.load_nap_settings()
        File "/usr/lib/python3/dist-packages/blueman/plugins/applet/Networking.py", line 45, in load_nap_settings
          m = Mechanism()
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 15, in __call__
          cls._instance = super().__call__(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 43, in __init__
          super().__init__(name='org.blueman.Mechanism', interface_name='org.blueman.Mechanism',
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 38, in __init__
          raise DBusProxyFailed(e.message)
      blueman.main.DBusProxies.DBusProxyFailed: Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1
      blueman-applet 22.45.46 ERROR    PluginManager:162 __load_plugin: Failed to load Networking
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 36, in __init__
          self.init()
      gi.repository.GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1 (25)
      During handling of the above exception, another exception occurred:
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/blueman/main/PluginManager.py", line 160, in __load_plugin
          inst._load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/AppletPlugin.py", line 57, in _load
          super()._load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/BasePlugin.py", line 70, in _load
          self.on_load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/applet/Networking.py", line 24, in on_load
          self.load_nap_settings()
        File "/usr/lib/python3/dist-packages/blueman/plugins/applet/Networking.py", line 45, in load_nap_settings
          m = Mechanism()
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 15, in __call__
          cls._instance = super().__call__(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 43, in __init__
          super().__init__(name='org.blueman.Mechanism', interface_name='org.blueman.Mechanism',
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 38, in __init__
          raise DBusProxyFailed(e.message)
      blueman.main.DBusProxies.DBusProxyFailed: Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 36, in __init__
          self.init()
      gi.repository.GLib.Error: g-dbus-error-quark: Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1 (25)
      During handling of the above exception, another exception occurred:
      Traceback (most recent call last):
        File "/usr/bin/blueman-applet", line 42, in <module>
          BluemanApplet()
        File "/usr/lib/python3/dist-packages/blueman/main/Applet.py", line 34, in __init__
          self.Plugins.load_plugin()
        File "/usr/lib/python3/dist-packages/blueman/main/PluginManager.py", line 122, in load_plugin
          self.__load_plugin(cls)
        File "/usr/lib/python3/dist-packages/blueman/main/PluginManager.py", line 160, in __load_plugin
          inst._load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/AppletPlugin.py", line 57, in _load
          super()._load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/BasePlugin.py", line 70, in _load
          self.on_load()
        File "/usr/lib/python3/dist-packages/blueman/plugins/applet/Networking.py", line 24, in on_load
          self.load_nap_settings()
        File "/usr/lib/python3/dist-packages/blueman/plugins/applet/Networking.py", line 45, in load_nap_settings
          m = Mechanism()
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 15, in __call__
          cls._instance = super().__call__(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 43, in __init__
          super().__init__(name='org.blueman.Mechanism', interface_name='org.blueman.Mechanism',
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 38, in __init__
          raise DBusProxyFailed(e.message)
      blueman.main.DBusProxies.DBusProxyFailed: Error calling StartServiceByName for org.blueman.Mechanism: Launch helper exited with unknown return code 1
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 36, in __init__
          self.init()
      gi.repository.GLib.Error: g-io-error-quark: Error calling StartServiceByName for org.blueman.Applet: Timeout was reached (24)
      During handling of the above exception, another exception occurred:
      Traceback (most recent call last):
        File "/usr/bin/blueman-tray", line 40, in <module>
          BluemanTray()
        File "/usr/lib/python3/dist-packages/blueman/main/Tray.py", line 16, in __init__
          applet = AppletService()
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 15, in __call__
          cls._instance = super().__call__(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 49, in __init__
          super().__init__(name='org.blueman.Applet', interface_name='org.blueman.Applet',
        File "/usr/lib/python3/dist-packages/blueman/main/DBusProxies.py", line 38, in __init__
          raise DBusProxyFailed(e.message)
      blueman.main.DBusProxies.DBusProxyFailed: Error calling StartServiceByName for org.blueman.Applet: Timeout was reached
      

      From dmesg is obtained this info:

      fdmogollon@antix1:~
      $ sudo dmesg | grep -iC 3 "bluetooth"
      [sudo] password for fdmogollon: 
      [   59.963853] ath: EEPROM indicates we should expect a direct regpair map
      [   59.963855] ath: Country alpha2 being used: 00
      [   59.963855] ath: Regpair used: 0x6a
      [   60.207945] Bluetooth: Core ver 2.22
      [   60.207978] NET: Registered protocol family 31
      [   60.207979] Bluetooth: HCI device and connection manager initialized
      [   60.207984] Bluetooth: HCI socket layer initialized
      [   60.207986] Bluetooth: L2CAP socket layer initialized
      [   60.207988] Bluetooth: SCO socket layer initialized
      [   60.312887] usbcore: registered new interface driver btusb
      [   60.323383] Bluetooth: hci0: using rampatch file: qca/rampatch_usb_00000302.bin
      [   60.323386] Bluetooth: hci0: QCA: patch rome 0x302 build 0x3e8, firmware rome 0x302 build 0x111
      [   60.426963] mc: Linux media interface: v0.10
      [   60.454411] Bluetooth: hci0: using NVM file: qca/nvm_usb_00000302.bin
      [   60.497225] videodev: Linux video capture interface: v2.00
      [   60.630608] uvcvideo: Found UVC 1.00 device USB2.0 VGA UVC WebCam (13d3:5a11)
      [   60.634165] input: USB2.0 VGA UVC WebCam: USB2.0 V as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/input/input20
      --
      [   63.141440] FS-Cache: Loaded
      [   63.183210] FS-Cache: Netfs 'nfs' registered for caching
      [   63.211365] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
      [   67.851795] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
      [   67.851798] Bluetooth: BNEP filters: protocol multicast
      [   67.851804] Bluetooth: BNEP socket layer initialized
      [   67.950616] NET: Registered protocol family 38
      [   68.305660] pcieport 0000:00:1c.0: AER: Multiple Corrected error received: 0000:00:1c.0
      [   68.305670] pcieport 0000:00:1c.0: PCIe Bus Error: severity=Corrected, type=Physical Layer, (Receiver ID)
      --
      [19158.084524] usb 1-2: new full-speed USB device number 6 using xhci_hcd
      [19158.212625] usb 1-2: New USB device found, idVendor=0a12, idProduct=0001, bcdDevice= 1.34
      [19158.212628] usb 1-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
      [19158.216725] Bluetooth: hci1: CSR: Unbranded CSR clone detected; adding workarounds...
      [19593.812970] Bluetooth: RFCOMM TTY layer initialized
      [19593.812977] Bluetooth: RFCOMM socket layer initialized
      [19593.812984] Bluetooth: RFCOMM ver 1.11
      [20420.864693] FAT-fs (sda2): utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
      [20420.866295] FAT-fs (sda2): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
      [20789.394180] FAT-fs (sda2): utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
      --
      [28252.440475] [   9137]     0  9137     2399       65    61440        0             0 cron
      [28252.440476] [   9201]   102  9201     1194      154    45056        0             0 dbus-daemon
      [28252.440478] [   9318]     0  9318     2523      215    57344        0         -1000 sshd
      [28252.440479] [   9343]     0  9343     2631      150    57344        0             0 bluetoothd
      [28252.440481] [   9363]     0  9363     3081      229    61440        0             0 connmand
      [28252.440482] [   9377]     0  9377     2935      245    65536        0             0 wpa_supplicant
      [28252.440483] [   9385]     0  9385     9822      121    69632        0             0 saned
      

      I don’t understand why can’t set active bluetooth connection between this system and the cellphone.

      Please, I will appreciate any help to solve this problem.

      Excuse me for my bad use of English language. I am learning yet and my native language is Spanish.

      • This topic was modified 7 months, 3 weeks ago by neurobiol.
      • This topic was modified 7 months, 3 weeks ago by neurobiol.
      • This topic was modified 7 months, 3 weeks ago by rokytnji.

      fdm

      #111335
      Forum Admin
      rokytnji

        Moved from new users to hardware. Also subscribed. It is late here in Texas and I am off to bed.

        I feel your pain as my internal chromebook bluetooth on my Dell ii antiX 22 chromebook won’t open blueman either.
        blueman-tools has a hissy fit on mine. Tons of traceback errors.

        My thread is in one of these links I think.
        Gnite.

        Sometimes I drive a crooked road to get my mind straight.
        Not all who Wander are Lost.
        Motorcycle racing is rocket science.

        Linux Registered User # 475019
        How to Search for AntiX solutions to your problems

        #111339
        Member
        Xunzi_23

          Welcome neurobiol, please do not worry about bad english, mine is often worse than bad.
          Maybe I should have chosen neurodiverse as username :-)..

          You have a lot of Glib and Python related errors. Is the USB stick fully updated and personal remastered.

          As you do not give make of dongle, this one is terrible TRENDnet TBW-106UB and will not work.
          Internet posts indicate quite a number of cheap dongles are suspected malicious and many blacklisted, does not
          look that way with yours though.

          Personal suggestion: Before continuing Please give the antiX23 Beta version a try using the modern kernel, if
          it works with your device there are many improvements to enjoy and some still ongoing.

          #111370
          Forum Admin
          rokytnji

            Ok. You are getting the same errors like I get on my chromebook with built in blueman applet. I was tired last night and called it blueman tools.
            I can’t figure out how to fix mine either. All them traceback errors don’t help me also.
            The internal bluetooth works on this dell e4310 latitude though. Which is older than my chromebook.

            harry@biker:~
            $ inxi -E
            Bluetooth:
              Device-1: Dell DW375 Bluetooth Module driver: btusb type: USB
              Report: hciconfig ID: hci0 state: up address: 1C:65:9D:02:31:7F bt-v: 2.0
            

            Have you checked for missing firmware

            sudo dmesg | grep firmware
            

            Since this is a dongle. Is it possible to purchase a compatible one?
            http://linuxhint.com/linux-compatible-bluetooth-dongles/
            http://www.amazon.com/bluetooth-dongle-linux/s?k=bluetooth+dongle+linux

            I mention this because it is not built in like mine.
            Nobody figured out my traceback errors in my thread so I don’t hold much hope for the dongle you are using.
            I tried a 6.l kernel but it did not solve my problem.

            `

            Sometimes I drive a crooked road to get my mind straight.
            Not all who Wander are Lost.
            Motorcycle racing is rocket science.

            Linux Registered User # 475019
            How to Search for AntiX solutions to your problems

            #111474
            Member
            neurobiol

              Thanks you rokytnji.

              I reviewed these links before post my problem.

              On Mx-Linux 21.3, the bluetooth usb dongle device on the same laptop run perfectly. In this distro the blueman applet is running from boot and is displayed on systray.

              No problem with some firmware seemingly:

              fdmogollon@antix1:~
              $ sudo dmesg | grep firmware
              

              Hi Xunzi_23. Thanks you for the suggestion. I downloaded the antiX-23-beta2-runit_x64-full.iso. I will create a new live-usb and will test the bluetooth device.

              fdm

              #111489
              Member
              PPC

                Since the bluetooth dongle works under MX-Linux 21.3… under antiX-23 beta2? The new kernel + the latest versions of some packages may increase compatibility with some hardware… Please report back as soon as you test it. I have a bluetooth dongle that I never used gathering dust somewhere, that I have to test to…

                P.

                • This reply was modified 7 months, 3 weeks ago by PPC.
                #111873
                Member
                neurobiol

                  Hello guys. I apologize for the delay in responding. My jobs don’t leave me much free time.

                  I followed his suggestions. I maked the new live-usb with antiX_23-beta2_runit.iso using the kernel_6.1.31 and the bluetooth connection was established between the laptop and the cellphone.

                  Thanks you rokytnji, Xunzi_23 and PPC.

                  I did an initial test with the antiX_23-beta2_runit.iso and the kernel_5.10.81 (legacy) and the bluetooth-manager detected the cellphone but couldn’t send some file. With the modern kernel_6.1.31 was possible only.

                  I hope this experience will be of help to others with the same or similar problem.

                  I give this issue as solved.

                  fdm

                Viewing 7 posts - 1 through 7 (of 7 total)
                • You must be logged in to reply to this topic.